--- ./src/rtp.h.orig
+++ ./src/rtp.h
@@ -47,6 +47,22 @@
 
 #define RTP_NSAMPLES_UNKNOWN  (-1)
 
+/*
+ * Normally would define this in the .c file, 
+ * but this header is used in multiple places -
+ * easier to make the patch here once
+ */
+
+#include "config.h"
+
+#if defined(HAVE_SYS_ENDIAN_H)
+#include <sys/endian.h>
+#endif
+#if defined(HAVE_ENDIAN_H)
+#include <endian.h>
+#endif
+
+
 #if !defined(BYTE_ORDER)
 # error "BYTE_ORDER needs to be defined"
 #endif
